Bug 1281968 - Secondary C&U charts only show stopped Hosts and VMs, should show running as well
Secondary C&U charts only show stopped Hosts and VMs, should show running as ...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Martin Povolny
Nandini Chandra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-13 17:53 EST by Dan Clarizio
Modified: 2015-12-08 08:47 EST (History)
9 users (show)

See Also:
Fixed In Version: 5.5.0.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:47:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CFME Cluster Charts (518.64 KB, image/png)
2015-11-13 17:53 EST, Dan Clarizio
no flags Details

  None (edit)
Description Dan Clarizio 2015-11-13 17:53:52 EST
Created attachment 1093939 [details]
CFME Cluster Charts

Description of problem:
Prior to recent chart changes, the bottom small charts used to show running and stopped Hosts and VMs for cluster charts and VMs for Host charts

Version-Release number of selected component (if applicable):
5.5

How reproducible:
Run C&U charts for Cluster or Host

Actual results:
Shows only stopped Hosts and/or VMs line on the chart

Expected results:
Show both running and stopped Hosts and/or VMs on the chart

Additional info:
Attached a copy of downstream charts showing only lines for stopped Hosts and VMs, no lines for running Hosts and VMs
Comment 3 Martin Povolny 2015-11-19 06:11:20 EST
might be related to:

https://bugzilla.redhat.com/show_bug.cgi?id=1281968
Comment 4 Martin Povolny 2015-11-20 09:16:49 EST
wrong link

might be related to https://bugzilla.redhat.com/show_bug.cgi?id=1283571
Comment 5 Martin Povolny 2015-11-23 11:06:52 EST
Progress report:

Dan, it seems that there was just one series in the chart in 5.4.z and it's actually written in the report definition as one series: 

product/charts/layouts/daily_perf_charts/Parent-Host.yaml 

columns: -derived_vm_count_on

The problem seems to be that the label is wrong is says "Stopped" instead of "Running"

this however seems to be a reporting backend issues because in the report that we feed into the chart the 

 mri.col_order does not match mri.headers

see: mri.col_order.zip(mri.headers)

[["timestamp", "Date/Time"],
 ["cpu_usagemhz_rate_average", "Avg Used"],
 ["max_derived_cpu_available", "Max Available"],
 ["max_derived_cpu_reserved", "Max Reserved"],
 ["min_cpu_usagemhz_rate_average", "Min Used"],
 ["max_cpu_usagemhz_rate_average", "Max Used"],
 ["trend_max_cpu_usagemhz_rate_average", "Trend Max Used"],
 ["cpu_usage_rate_average", "Avg % Used"],
 ["min_cpu_usage_rate_average", "Min % Used"],
 ["max_cpu_usage_rate_average", "Max % Used"],
 ["trend_max_cpu_usage_rate_average", "Trend Max % Used"],
 ["v_pct_cpu_ready_delta_summation", "% Ready"],
 ["v_pct_cpu_wait_delta_summation", "% Idle"],
 ["v_pct_cpu_used_delta_summation", "% Used"],
 ["v_derived_cpu_total_cores_used", "Avg Used"],
 ["derived_memory_used", "Max Available"],
 ["max_derived_memory_available", "Max Reserved"],
 ["max_derived_memory_reserved", "Min Used"],
 ["min_derived_memory_used", "Max Used"],
 ["max_derived_memory_used", "Trend Max Used"],
....

from the line
 ["derived_memory_used", "Max Available"],

the lists do not match which is an assumption what the UI code is working with
Comment 6 Martin Povolny 2015-11-23 13:05:48 EST
upstream PR: https://github.com/ManageIQ/manageiq/pull/5573
Comment 7 CFME Bot 2015-11-24 09:35:19 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/aeed1dd8c65feef2515f96f05a7750e379b95d61

commit aeed1dd8c65feef2515f96f05a7750e379b95d61
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Mon Nov 23 19:03:36 2015 +0100
Commit:     Martin Povolny <mpovolny@redhat.com>
CommitDate: Mon Nov 23 19:03:36 2015 +0100

    Add missing labels for added performance report column.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1281968

 product/charts/miq_reports/vim_perf_daily.yaml    | 1 +
 product/charts/miq_reports/vim_perf_hourly.yaml   | 1 +
 product/charts/miq_reports/vim_perf_realtime.yaml | 1 +
 3 files changed, 3 insertions(+)
Comment 8 CFME Bot 2015-11-24 11:11:55 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=7dd4481ce5dba5398461b745a618bd07ec692820

commit 7dd4481ce5dba5398461b745a618bd07ec692820
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Mon Nov 23 19:03:36 2015 +0100
Commit:     Martin Povolny <mpovolny@redhat.com>
CommitDate: Tue Nov 24 15:46:06 2015 +0100

    Add missing labels for added performance report column.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1281968

 product/charts/miq_reports/vim_perf_daily.yaml    | 1 +
 product/charts/miq_reports/vim_perf_hourly.yaml   | 1 +
 product/charts/miq_reports/vim_perf_realtime.yaml | 1 +
 3 files changed, 3 insertions(+)
Comment 9 CFME Bot 2015-11-24 11:12:01 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=8a9ad154b7fd8985ac763b6c1d7f099e6eaf6e2b

commit 8a9ad154b7fd8985ac763b6c1d7f099e6eaf6e2b
Merge: fe9eecb 7dd4481
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Tue Nov 24 10:47:47 2015 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Tue Nov 24 10:47:47 2015 -0500

    Merge branch 'cherry_5573' into '5.5.z'
    
    Add missing labels for added performance report column.
    
    PR: https://github.com/ManageIQ/manageiq/pull/5573
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1281968
    
    See merge request !532

 product/charts/miq_reports/vim_perf_daily.yaml    | 1 +
 product/charts/miq_reports/vim_perf_hourly.yaml   | 1 +
 product/charts/miq_reports/vim_perf_realtime.yaml | 1 +
 3 files changed, 3 insertions(+)
Comment 10 Nandini Chandra 2015-11-24 23:59:40 EST
Verified in 5.5.0.12
Comment 12 errata-xmlrpc 2015-12-08 08:47:27 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.